org.apache.lucene.util

## Class BytesRefArray.SortState

- java.lang.Object
- - org.apache.lucene.util.BytesRefArray.SortState

All Implemented Interfaces:
  Accountable

Enclosing class:
  BytesRefArray

    public static final class BytesRefArray.SortState
    extends Object
    implements Accountable

Used to iterate the elements of an array in a given order.

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `ramBytesUsed()` Return the memory usage of this object in bytes.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.lucene.util.Accountable

`getChildResources`

### Method Detail

#### ramBytesUsed

    public long ramBytesUsed()

Description copied from interface: `Accountable`
Return the memory usage of this object in bytes. Negative values are illegal.

Specified by:
  `ramBytesUsed` in interface `Accountable`